package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.AreaInfo;


/**
*  service接口类
*/
public interface AreaInfoService{

    List<AreaInfo> getAreaInfoList(AreaInfo record);

    List<AreaInfo> getAreaInfoByPage(Page page, AreaInfo record);

    AreaInfo getAreaInfoById(String id);

    AreaInfo getAreaInfo(AreaInfo record);

    boolean createAreaInfo(AreaInfo record);

    boolean deleteAreaInfo(AreaInfo record);

    boolean updateAreaInfo(AreaInfo record);
}

